# Interface FinishedOptions

interface FinishedOptions {
error?: boolean;
readable?: boolean;
signal?: AbortSignal;
writable?: boolean;
}

#### Hierarchy (view full)

- Abortable
  - FinishedOptions

- Defined in node_modules/@types/node/stream.d.ts:1389

#####
Index

### Properties

error?
readable?
signal?
writable?

## Properties

### `Optional` error

error?: boolean

- Defined in node_modules/@types/node/stream.d.ts:1390

### `Optional` readable

readable?: boolean

- Defined in node_modules/@types/node/stream.d.ts:1391

### `Optional` signal

signal?: AbortSignal

When provided the corresponding `AbortController` can be used to cancel an asynchronous action.

Inherited from Abortable.signal

- Defined in node_modules/@types/node/events.d.ts:486

### `Optional` writable

writable?: boolean

- Defined in node_modules/@types/node/stream.d.ts:1392